# Uses of Interface
org.bukkit.entity.Sheep

Packages that use Sheep
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Sheep in org.bukkit.entity

Methods in org.bukkit.entity that return Sheep
Modifier and Type
Method
Description
`@Nullable Sheep`
Evoker.`getWololoTarget()`
Methods in org.bukkit.entity with parameters of type Sheep
Modifier and Type
Method
Description
`void`
Evoker.`setWololoTarget(@Nullable Sheep sheep)`
Set the sheep to be the target of the `wololo spell`, or `null` to clear.

## Uses of Sheep in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Sheep
Modifier and Type
Method
Description
`@NotNull Sheep`
SheepDyeWoolEvent.`getEntity()`
`@NotNull Sheep`
SheepRegrowWoolEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Sheep
Modifier
Constructor
Description
``
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color)`
Deprecated.
``
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color, @Nullable Player player)`
``
`SheepRegrowWoolEvent(@NotNull Sheep sheep)`